ST_NUPR(3)

FUNCTION
st_nupr - Convert a string to uppercase, up to a specified length.

SYNOPSIS
#include <karma_st.h>

char * st_nupr

(char *string, int str_len)

DESCRIPTION
Convert a string to uppercase, up to a specified length.

string
    The string.

str_len
    The maximum number of characters to convert.

RETURN VALUE
The address of the string.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/